View Issue Details

IDProjectCategoryView StatusLast Update
0001082SOGoBackend Address Bookpublic2011-02-23 19:01
Reporterbugreporter Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.4 
Target Version1.3.6Fixed in Version1.3.6 
Summary0001082: SQL Addressbooks needs useless fields when not authenticating
Description

I setup an SQL public address book by adding a section to SOGoUserSources. Even though I set:

canAuthenticate = NO;

I found that I need to include the line:

userPasswordAlgorithm = "None";

Additionally, the sql table needed some fields that seem unnecessary given that I'm don't using the SQL table for authentication. Fields are:

c_password
c_cn
c_id

it would be nice in the documentation to say what fields are required when not authentication and what is required when authenticating. Also, the mail field is required, which I understand but would be nice if that weren't the case when not doing authentication.

TagsNo tags attached.

Activities

bugreporter

bugreporter

2011-01-14 16:54

reporter   ~0002023

Also, the c_uid field seems unnecessary as well. Maybe more -- I didn't explore everything with cn, c_cn, etc once I got it working.

ludovic

ludovic

2011-02-17 21:09

administrator   ~0002129

Improve the doc:

The view MUST contain the following columns:

  • c_uid - will be used for authentication - it's a username or username@domain.tld)
  • c_name - which can be identical to c_uid - will be used to uniquely identify entries)
  • c_password - password of the user, plain-text, md5 or sha encoded for now
  • c_cn - the user's common name
  • mail - the user's mail address
bugreporter

bugreporter

2011-02-17 22:32

reporter   ~0002130

It's pretty minor, but it would be nice if c_password and c_uid, which are used for authentication weren't required when canAuthenticate=NO;

ludovic

ludovic

2011-02-23 19:01

administrator   ~0002164

The documentation has been improved.

Issue History

Date Modified Username Field Change
2011-01-14 16:52 bugreporter New Issue
2011-01-14 16:54 bugreporter Note Added: 0002023
2011-02-17 21:09 ludovic Note Added: 0002129
2011-02-17 21:09 ludovic Target Version => 1.3.6
2011-02-17 22:32 bugreporter Note Added: 0002130
2011-02-23 19:01 ludovic Note Added: 0002164
2011-02-23 19:01 ludovic Status new => resolved
2011-02-23 19:01 ludovic Fixed in Version => 1.3.6
2011-02-23 19:01 ludovic Resolution open => fixed
2011-02-23 19:01 ludovic Assigned To => ludovic